Package org.apache.storm.utils

## Class WrappedNotAliveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.storm.thrift.TException
      - - org.apache.storm.generated.NotAliveException
        - - org.apache.storm.utils.WrappedNotAliveException

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<NotAliveException>`, `org.apache.storm.thrift.TBase<NotAliveException,​NotAliveException._Fields>`, `org.apache.storm.thrift.TSerializable`

      public class WrappedNotAliveException
      extends NotAliveException

  Wraps the generated TException to allow getMessage() to return a valid string.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.generated.NotAliveException

      `NotAliveException._Fields`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.generated.NotAliveException

      `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WrappedNotAliveException​(String msg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getMessage()` |

    - ### Methods inherited from class org.apache.storm.generated.NotAliveException

      `clear, compareTo, deepCopy, equals, equals, fieldForId, get_msg, getFieldValue, hashCode, is_set_msg, isSet, read, set_msg, set_msg_isSet, setFieldValue, toString, unset_msg, validate, write`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedNotAliveException

          public WrappedNotAliveException​(String msg)

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`